steam: uopfyldte afhængigheder/ umulig situation

Dette er forummet for spil til Ubuntu. Få hjælp til spillene og få hjælp til at afvikle Windows-spillene i fx Wine.
februardrengen
Indlæg: 69
Tilmeldt: 8. nov 2014, 16:55

steam: uopfyldte afhængigheder/ umulig situation

Indlægaf februardrengen » 25. aug 2015, 15:11

Jeg får følgende fejlmeddelelse når jeg starter Steam op:

Kode: Vælg alt

Steam needs to install these additional packages:
   libgl1-mesa-dri:i386, libgl1-mesa-glx:i386, libc6:i386
[sudo] password for tommy:
......................................................................................................
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
Nogle pakker kunne ikke installeres. Det kan betyde at du har ønsket
en umulig situation eller bruger den ustabile distribution, hvor enkelte
pakker endnu ikke er lavet eller gjort tilgængelige.
Følgende oplysninger kan hjælpe dig med at klare situationen:

Følgende pakker har uopfyldte afhængigheder:
 libgl1-mesa-glx:i386 : Afhængigheder: libglapi-mesa:i386 (= 10.1.3-0ubuntu0.4)
 unity-control-center : Afhængigheder: libcheese-gtk23 (>= 3.4.0) men den bliver ikke installeret
                        Afhængigheder: libcheese7 (>= 3.0.1) men den bliver ikke installeret
E: Fejl, pkgProblemResolver::Resolve satte stopklodser op, det kan skyldes tilbageholdte pakker.
Press return to continue:

Jeg har 14.04 LTS
Intel® Core™ i3-4150 CPU @ 3.50GHz × 4
Gallium 0.4 on llvmpipe (LLVM 3.6, 256 bits)
64-bit

Hjælp lige en newbie, mange tak :)

AJenbo
Admin
Indlæg: 20311
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf AJenbo » 25. aug 2015, 15:21

Dit grafikkort er sat helt ud af spil så du ville nok ikke kunne få meget ud af Steam. Kan du oplyse hvilket grafikkort du har i maskinen? Hvis ikke du ved det kan du finde det med følgende:

Kode: Vælg alt

lspci -nn | grep VGA


Der er også nogle dele af dit system der mangler, prøve at se om følgende kommando hjælper:

Kode: Vælg alt

sudo apt-get install -f

februardrengen
Indlæg: 69
Tilmeldt: 8. nov 2014, 16:55

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf februardrengen » 25. aug 2015, 18:39

lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GM107 [GeForce GTX 750 Ti] [10de:1380] (rev a2)

februardrengen
Indlæg: 69
Tilmeldt: 8. nov 2014, 16:55

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf februardrengen » 25. aug 2015, 18:42

februardrengen skrev:lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GM107 [GeForce GTX 750 Ti] [10de:1380] (rev a2)




tommy@tommy-MS-7817:~$ sudo apt-get install -f
[sudo] password for tommy:
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ
Læser tilstandsoplysninger... Færdig
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.
tommy@tommy-MS-7817:~$

Bør dog nok også nævne at jeg een gang tidligere har haft problem med mit grafikkort som jeg fik hjælp til her hos jer hjælpsomme mennesker... (samme problem ?)

der skete det ikke meget ved...

AJenbo
Admin
Indlæg: 20311
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf AJenbo » 25. aug 2015, 19:17

Ok du skal have installeret den proprietære nvidia driver, det gøres fra software og opdateringer, I fanen yderligere driver.

februardrengen
Indlæg: 69
Tilmeldt: 8. nov 2014, 16:55

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf februardrengen » 25. aug 2015, 20:12

AJenbo skrev:Ok du skal have installeret den proprietære nvidia driver, det gøres fra software og opdateringer, I fanen yderligere driver.


Ok der var en vis fremgang at spore... der var 4 - 5 yderligere drivere tilgængeligt.. jeg valgte den nyeste testede proprietære driver 346.82 og systemet siger nu jeg køre den anbefalede driver... steam lod sig opdatere og installere således jeg nu kan tilgå min konto hos Valve.. spillene vil dog stadig ikke starter og kommer med flg fejl:

"Steam needs to install these additional packages:
libgl1-mesa-dri:i386, libgl1-mesa-glx:i386, libc6:i386
[sudo] password for tommy:
......................................................................................................
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ
Læser tilstandsoplysninger... Færdig
Nogle pakker kunne ikke installeres. Det kan betyde at du har ønsket
en umulig situation eller bruger den ustabile distribution, hvor enkelte
pakker endnu ikke er lavet eller gjort tilgængelige.
Følgende oplysninger kan hjælpe dig med at klare situationen:

Følgende pakker har uopfyldte afhængigheder:
libgl1-mesa-glx:i386 : Afhængigheder: libglapi-mesa:i386 (= 10.1.3-0ubuntu0.4)
unity-control-center : Afhængigheder: libcheese-gtk23 (>= 3.4.0) men den bliver ikke installeret
Afhængigheder: libcheese7 (>= 3.0.1) men den bliver ikke installeret
E: Fejl, pkgProblemResolver::Resolve satte stopklodser op, det kan skyldes tilbageholdte pakker.
Press return to continue: "

AJenbo
Admin
Indlæg: 20311
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf AJenbo » 25. aug 2015, 23:56

Er det med alle spil eller et bestemt?

februardrengen
Indlæg: 69
Tilmeldt: 8. nov 2014, 16:55

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf februardrengen » 26. aug 2015, 10:44

AJenbo skrev:Er det med alle spil eller et bestemt?



..har lige testes ved at installere to mindre spil fra mit katalog.. og hvis de kan regnes for statistisk materiale nok at bedømme på, er det kun "7 Days to die" der ikke vil starte..
Det er bare lidt underligt.. jeg har kørt det fint på min "gamle" 32-bit platform indtil jeg slettede alt og hoppede på 64-bit versionen..
har efter i går fiflet lidt med at installere diverse 32-bit libs, men hidtil uden det har gjort den store forskel.. der kommer godt nok en sort system "pop-up"et lille sekund, som om spillet prøver at starte, men det er væk inden man ser sig om...
måske skulle jeg prøve med et nyt dvd medie og installere om, ELLER gå tilbage til 32bit (selvom det selvfølgelig ikke er optimalt )?

AJenbo
Admin
Indlæg: 20311
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf AJenbo » 26. aug 2015, 14:09

Steam er desværre 32bit hvilket kræver installering af nogle 32bit pakker, og det ser ud til at være det den har problemer med i dit tilfælde. Jeg har desærre ikke 7 days to die så jeg kan ikke teste her, men jeg har ikke oplevet ligendene problemer med andre spil

Prøv først

Kode: Vælg alt

sudo apt-get install unity-control-center libcheese-gtk23 libcheese7


Så:

Kode: Vælg alt

sudo apt-get install libc6:i386


Og til sidst:

Kode: Vælg alt

sudo apt-get install libgl1-mesa-dri:i386 libgl1-mesa-glx:i386

AJenbo
Admin
Indlæg: 20311
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf AJenbo » 26. aug 2015, 14:10

Jeg har testetdem her på Ubuntu 15.04 og fik ikke problemer

februardrengen
Indlæg: 69
Tilmeldt: 8. nov 2014, 16:55

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf februardrengen » 26. aug 2015, 18:33

AJenbo skrev:Steam er desværre 32bit hvilket kræver installering af nogle 32bit pakker, og det ser ud til at være det den har problemer med i dit tilfælde. Jeg har desærre ikke 7 days to die så jeg kan ikke teste her, men jeg har ikke oplevet ligendene problemer med andre spil


Prøv først

Kode: Vælg alt

tommy@tommy-MS-7817:~$ sudo apt-get install unity-control-center libcheese-gtk23 libcheese7
[sudo] password for tommy:
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
libcheese-gtk23 er i forvejen den nyeste version.
libcheese-gtk23 sat til manuelt installeret.
libcheese7 er i forvejen den nyeste version.
libcheese7 sat til manuelt installeret.
unity-control-center er i forvejen den nyeste version.
unity-control-center sat til manuelt installeret.
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.


Så:

Kode: Vælg alt

tommy@tommy-MS-7817:~$ sudo apt-get install libc6:i386
[sudo] password for tommy:
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
libc6:i386 er i forvejen den nyeste version.
libc6:i386 sat til manuelt installeret.
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.



Og til sidst:

Kode: Vælg alt

tommy@tommy-MS-7817:~$ sudo apt-get install libgl1-mesa-dri:i386 libgl1-mesa-glx:i386
[sudo] password for tommy:
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
Nogle pakker kunne ikke installeres. Det kan betyde at du har ønsket
en umulig situation eller bruger den ustabile distribution, hvor enkelte
pakker endnu ikke er lavet eller gjort tilgængelige.
Følgende oplysninger kan hjælpe dig med at klare situationen:

Følgende pakker har uopfyldte afhængigheder:
 libgl1-mesa-glx:i386 : Afhængigheder: libglapi-mesa:i386 (= 10.1.3-0ubuntu0.4)
 unity-control-center : Afhængigheder: libcheese-gtk23 (>= 3.4.0) men den bliver ikke installeret
                        Afhængigheder: libcheese7 (>= 3.0.1) men den bliver ikke installeret
E: Fejl, pkgProblemResolver::Resolve satte stopklodser op, det kan skyldes tilbageholdte pakker.


ps: tillod mig at antage kommando snippets var UDEN

Kode: Vælg alt

;-)

AJenbo
Admin
Indlæg: 20311
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf AJenbo » 26. aug 2015, 19:25

Der var gået lidt galt i din citering så det har jeg rettet, samt sat koden fra terminalen i kode tags så den er nemmere at læse og ikke tager så meget plads.

Det undre mig lidt at din maskine hver gang klager over manglende libcheese når den samtidig har skrevet at den allerede har det installeret.
Har du anvendt nogle PPA'er for at få ekstra software på maskinen?

Prøv lige følgende:

Kode: Vælg alt

sudo apt-get install libglapi-mesa:i386


Ja, nej du skal ikke ikke indtaste koden, kun koden i den.

februardrengen
Indlæg: 69
Tilmeldt: 8. nov 2014, 16:55

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf februardrengen » 26. aug 2015, 21:30

[quote="AJenbo"]Der var gået lidt galt i din citering så det har jeg rettet, samt sat koden fra terminalen i kode tags så den er nemmere at læse og ikke tager så meget plads.

Det undre mig lidt at din maskine hver gang klager over manglende libcheese når den samtidig har skrevet at den allerede har det installeret.
Har du anvendt nogle PPA'er for at få ekstra software på maskinen?

Prøv lige følgende:

Kode: Vælg alt

sudo apt-get install libglapi-mesa:i386


"tommy@tommy-MS-7817:~$ sudo apt-get install libglapi-mesa:i386
[sudo] password for tommy:
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ
Læser tilstandsoplysninger... Færdig
Nogle pakker kunne ikke installeres. Det kan betyde at du har ønsket
en umulig situation eller bruger den ustabile distribution, hvor enkelte
pakker endnu ikke er lavet eller gjort tilgængelige.
Følgende oplysninger kan hjælpe dig med at klare situationen:

Følgende pakker har uopfyldte afhængigheder:
unity-control-center : Afhængigheder: libcheese-gtk23 (>= 3.4.0) men den bliver ikke installeret
Afhængigheder: libcheese7 (>= 3.0.1) men den bliver ikke installeret
E: Fejl, pkgProblemResolver::Resolve satte stopklodser op, det kan skyldes tilbageholdte pakker.
tommy@tommy-MS-7817:~$ "

Hvis du ikke har et et sidste bud er jeg nok nået dertil hvor jeg vil rulle tilbage til 32bit, men denne gang ubuntu 15.04 (selvom denne kun har 9 mdr. update garanti :-)

AJenbo
Admin
Indlæg: 20311
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf AJenbo » 26. aug 2015, 21:46

Det kunne godt nok virke som om du har fået låst en pakke fast til en bestemt, og ældre, version. 32bit ville nok ikke afhjælpe problemet.

Jeg har stadig et par forslag :P

Start med:

Kode: Vælg alt

sudo apt-get udate; sudo apt-get install aptitude; sudo aptitude safe-upgrade

Der efter:

Kode: Vælg alt

sudo aptitude install libgl1-mesa-dri:i386, libgl1-mesa-glx:i386


Hvis ikke det virker så prøv at se hvad du får af forslag ved denne:

Kode: Vælg alt

sudo aptitude full-upgrade

Bemærk: Du skal ikke umiddelbart acceptere dens forslag, vi skal først lige se om der er fornuft i det.

februardrengen
Indlæg: 69
Tilmeldt: 8. nov 2014, 16:55

Re: steam: uopfyldte afhængigheder/ umulig situation

Indlægaf februardrengen » 26. aug 2015, 22:17

AJenbo skrev:Det kunne godt nok virke som om du har fået låst en pakke fast til en bestemt, og ældre, version. 32bit ville nok ikke afhjælpe problemet.

Jeg har stadig et par forslag :P

Start med:

Kode: Vælg alt

sudo apt-get udate; sudo apt-get install aptitude; sudo aptitude safe-upgrade


Gjorde ingen forskel, bortset fra jeg fik 5 - 6 siders tætskrevet text i terminalen (sig til hvis du vil se det)

Der efter:

Kode: Vælg alt

sudo aptitude install libgl1-mesa-dri:i386, libgl1-mesa-glx:i386


"tommy@tommy-MS-7817:~$ sudo aptitude install libgl1-mesa-dri:i386, libgl1-mesa-glx:i386
[sudo] password for tommy:
Kunne ikke finde nogen pakke, hvis navn eller beskrivelse passer på "libgl1-mesa-dri:i386,"
Kunne ikke finde nogen pakke, hvis navn eller beskrivelse passer på "libgl1-mesa-dri:i386,"
Følgende NYE pakker vil blive installeret:
libgl1-mesa-dri:i386{a} libgl1-mesa-glx:i386{b} libglapi-mesa:i386{a}
libllvm3.4:i386{a}
0 pakker opgraderet, 4 nyinstalleret, 0 til afinstallering og 0 ikke opgraderet.
Skal hente 11,7 MB arkiver. Efter udpakning vil 61,2 MB blive brugt.
Følgende pakker har uopfyldte afhængigheder:
libgl1-mesa-dri-lts-vivid : Konflikter: libgl1-mesa-dri:i386 men 10.1.3-0ubuntu0.4 vil blive installeret.
libgl1-mesa-dri-lts-vivid:i386 : Konflikter: libgl1-mesa-dri:i386 men 10.1.3-0ubuntu0.4 vil blive installeret.
libgl1-mesa-glx-lts-vivid : Konflikter: libgl1:i386 som er en virtuel pakke.
Konflikter: libgl1-mesa-glx:i386 men 10.1.3-0ubuntu0.4 vil blive installeret.
libgl1-mesa-glx-lts-vivid:i386 : Konflikter: libgl1:i386 som er en virtuel pakke.
Konflikter: libgl1-mesa-glx:i386 men 10.1.3-0ubuntu0.4 vil blive installeret.
libglapi-mesa-lts-vivid : Konflikter: libglapi-mesa:i386 men 10.1.3-0ubuntu0.4 vil blive installeret.
libglapi-mesa-lts-vivid:i386 : Konflikter: libglapi-mesa:i386 men 10.1.3-0ubuntu0.4 vil blive installeret.
xserver-xorg-lts-vivid : Konflikter: libgl1-mesa-dri:i386 (>= 0~) men 10.1.3-0ubuntu0.4 vil blive installeret.
Konflikter: libgl1-mesa-glx:i386 (>= 0~) men 10.1.3-0ubuntu0.4 vil blive installeret.
Konflikter: libglapi-mesa:i386 (>= 0~) men 10.1.3-0ubuntu0.4 vil blive installeret.
libgl1-mesa-glx:i386 : Konflikter: libgl1 som er en virtuel pakke.
Konflikter: libgl1:i386 som er en virtuel pakke.
De følgende handlinger vil udrede disse afhængigheder:

Behold de følgende pakker i deres nuværende version:
1) libgl1-mesa-dri:i386 [Ikke installeret]
2) libgl1-mesa-glx:i386 [Ikke installeret]
3) libglapi-mesa:i386 [Ikke installeret]

Efterlad de følgende afhængigheder uafklaret:
4) libgl1-mesa-glx:i386 anbefaler libgl1-mesa-dri:i386 (>= 7.2)


Godkend denne løsning? [Y/n/q/?] "

Ja jeg har som aftalt ikke gjort noget endnu :-)

Hvis ikke det virker så prøv at se hvad du får af forslag ved denne:

Kode: Vælg alt

sudo aptitude full-upgrade

Bemærk: Du skal ikke umiddelbart acceptere dens forslag, vi skal først lige se om der er fornuft i det.

Tilbage til "Spil"

Hvem er online

Brugere der læser dette forum: [Crawler] og 0 gæster